<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<title>Homework-buttons</title>
	<style>
		.btn-wrapper {
			height: 60vh;
			display: flex;
			align-items: center;
			justify-content: space-around;
		}

		.btn {
			border: none;
			border-radius: 20px;
			min-width: 120px;
			padding: 7px;
			color: #fff;
			font-size: 14px;
			background-color: #33333a;
			cursor: pointer;
		}

		.btn:active,
		.btn:focus {
			outline: none;
		}
	</style>
</head>

<body>
	<div class="btn-wrapper">
		<button class="btn">Enter</button>
		<button class="btn">S</button>
		<button class="btn">E</button>
		<button class="btn">O</button>
		<button class="btn">N</button>
		<button class="btn">L</button>
		<button class="btn">Z</button>
	</div>
	<script>
		document.addEventListener('keydown', function (event) {
			const parent = document.body.firstElementChild;
			const keyName = event.key;
			const btnList = parent.children;
			for (let i = 0; i < btnList.length; i++) {
				console.log(this);
				if(btnList[i].style.backgroundColor = "blue"){
				btnList[i].style.backgroundColor = "black";
			}
			console.log(btnList[i].textContent);
			if(btnList[i].textContent.toLowerCase() == keyName){
				btnList[i].style.backgroundColor = "blue";
			}else if(btnList[i].textContent == keyName){
				btnList[i].style.backgroundColor = "blue";
			};
			};
			
			console.log(keyName);
		});
	</script>
</body>

</html>